.so head.mm
.H 2 "Ekvationer"
.SETR eqn
.P 0
Ofta behver man en matematisk formel eller ekvation i texten.
D anvnder man kommandot \fB.EQ\fP.
.BIP ".EQ [arg]" "equation"
Det eventuella argumentet skrivs ut vid sidan av ekvationen, 
se \fIStyrvariabler\fP nedan.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
u ( t ) = K sub P e ( t ) +
K sub I int from 0 to t e ( s ) ds +
K sub D d over dt e ( t )
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
u ( t ) = K sub P e ( t ) +
K sub I int from 0 to t e ( s ) ds +
K sub D d over dt e ( t )
.EN
.DE
.demo-end
Ovanstende exempel visar hur enkelt det r att skriva formler med 
programmet \fBeqn\fP.
Detta krs automatiskt nr man anger \f(CB-e\fP till \*(gr.
Mellan \fB.EQ\fP och \fB.EN\fP kan man skriva utan att tnka p
mellanslag o.d. \fBeqn\fP stller upp formeln snyggt nd.
Dremot r mellanslag avgrnsare, vilket innebr att man br ha
minst ett mellanslag mellan varje symbol. Vill man ha lite strre mellanrum
kan man antingen skriva \fB~\fP eller mellanslag inom citattecken \%("\ ").
Jmfr fljande exempel:
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
x = f(t sup 2) ~~~~~~~~~ x = f(t sup 2 )
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
x = f(t sup 2) ~~~~~~~~~ x = f(t sup 2 )
.EN
.DE
.demo-end
.P 0
Text kan skrivas mellan citattecken.
Alla nyckelord i \fBeqn\fP har olika prioritet.
.\" $$$
Fr att undvika denna prioritet kan man skriva krullparenteser
runt de olika uttrycken. Se fljande exempel:
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
"Utan parentes: " e sup i omega t
"    Med parentes: " e sup { i omega t }
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
"Utan parentes: " e sup i omega t
"    Med parentes: " e sup { i omega t }
.EN
.DE
.demo-end
Dessa hakparenteser kan ocks anvndas fr att ka lsbarheten
av de icke formaterade ekvationerna.
Man kan alltid stoppa in hakparenteser om man r osker p den
prioritet som kommandona har.
.H 3 "Speciella matematiska ord"
.P 0
Siffror, hakparenteser, klammer och fljande ord skrivs med normal stil:
.TS
tab(;);
lw(.25i) lw(.25i) lw(.25i) lw(.25i) lw(.25i) lw(.25i) lw(.25i) .
sin;cos;tan;sinh;cosh;tanh;arc
max;min;lim;log;ln;exp
Re;Im;and;if;for;det;
.TE
.H 3 "Grekiska bokstver och speciella symboler"
.DS L F
.P 0
Fljande grekiska tecken och speciella symboler kan anvndas:
.TS
center tab(;);
lb2 lb4 lb2 lb4 lb2 lb4 lb2 lb
le le le le le le le le.
Namn;Tecken;Namn;Tecken;Namn;Tecken;Namn;Tecken
Alpha;\(*A;Tau;\(*T;phi;\(*f;,...,;,...,
Beta;\(*B;Theta;\(*H;pi;\(*p;...;...
Chi;\(*X;Upsilon;\(*U;psi;\(*q;approx;\(~=
Delta;\(*D;Xi;\(*C;rho;\(*r;cdot;.
Epsilon;\(*E;Zeta;\(*Z;sigma;\(*s;del;\(gr
Eta;\(*Y;alpha;\(*a;tau;\(*t;grad;\(gr
Gamma;\(*G;beta;\(*b;theta;\(*h;half;\(12
Iota;\(*I;chi;\(*x;upsilon;\(*u;inf;\(if
Kappa;\(*K;delta;\(*d;xi;\(*c;int; \(is
Lambda;\(*L;epsilon;\(*e;zeta;\(*z;inter; \(ca
Mu;\(*M;eta;\(*y;<=;\(<=;nothing
Nu;\(*N;gamma;\(*g;>=;\(>=;partial;\(pd
Omega;\(*W;iota;\(*i;!=;\(!=;prime;'
Omicron;\(*O;kappa;\(*k;==;\(==;prod; \(*P
Phi;\(*F;lambda;\(*l;<<;\(Fo;sum; \(*S
Pi;\(*P;mu;\(*m;>>;\(Fc;times;\(mu
Psi;\(*Q;nu;\(*n;+\-;\(+-;union; \(cu
Rho;\(*R;omega;\(*w;\->;\(->
Sigma;\(*S;omicron;\(*o;<\-;\(<-
.TE
.DE
.H 3 "Potenser och indexering"
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
x sub 2 "   " y sup 2 "   " z sub a sup 2 ~~~ n sup a sub 2
"   " t sub a sub 2 ~~~ nothing sup 2 Be
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
x sub 2 "   " y sup 2 "   " z sub a sup 2 ~~~ n sup a sub 2
"   " t sub a sub 2 ~~~ nothing sup 2 Be
.EN
.DE
.demo-end
\&"\f(CRz sub a sup 2\fP" r ett specialfall, i vriga fall fungerar
\fBsub\fP och \fBsup\fP enligt prioritetslistan nedan.
.H 3 Division
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
"Med hakparenteser: " { a + b } over { c + 1 }
"   Utan hakparenteser: " x + y over z + 1
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
"Med hakparenteser: " { a + b } over { c + 1 }
"   Utan hakparenteser: " x + y over z + 1
.EN
.DE
.demo-end
.H 3 Kvadratrtter
.P 0
Stora kvadratrtter blir snyggare med \(12.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
sqrt { a + c } + e over sqrt { x sup 2 + y sup 2 } "        "
sqrt { 1 over { r + 1 }  over { x + 3 - y sup 2 } } "        "
left ( 1 over { r + 1 }  over { x + 3 - y sup 2 } right ) 
sup { 1 / 2 }
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
sqrt { a + c } + e over sqrt { x sup 2 + y sup 2 }
"        "
sqrt { 1 over { r + 1 }  over { x + 3 - y sup 2 } }
"        "
left ( 1 over { r + 1 }  over { x + 3 - y sup 2 } right ) sup { 1 over 2 }
.EN
.DE
.demo-end
.H 3 "Summering och integraler"
.P 0
Observera att \fBfrom\fP och \fBto\fP kan anvndas efter alla symboler 
(se \fBlim\fP), men
\fBfrom\fP mste st fre \fBto\fP om bgge anvnds.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
sum from { i = 0 } to inf Kappa sub i "     "
int from { i = 0 } to 33 s sup 2 ds "     "
prod from { i = 0 } to inf alpha sub i "     "
union from { i = 0 } to inf Psi sub i "     "
inter from { i = 0 } to { i = 3 } sigma sub i "     "
lim from { n -> inf } gamma = 0
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
sum from { i = 0 } to inf Kappa sub i "     "
int from { i = 0 } to 33 s sup 2 ds "     "
prod from { i = 0 } to inf alpha sub i "     "
union from { i = 0 } to inf Psi sub i "     "
inter from { i = 0 } to { i = 3 } sigma sub i "     "
lim from { n -> inf } gamma = 0
.EN
.DE
.demo-end
.H 3 "Olika typer av variabelmarkeringar"
.P 0
\fBbar\fP och \fBunder\fP kan anvndas fr hela uttryck.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
a dot "    " b dotdot "    " c hat "    " d tilde "    "
e vec "    " f dyad "    "
g bar "    " { a + b + c } bar "    "
h under "    " { d + e + f } under
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
a dot "    " b dotdot "    " c hat "    " d tilde "    "
e vec "    " f dyad "    "
g bar "    " { a + b + c } bar "    "
h under "    " { d + e + f } under
.EN
.DE
.demo-end
.H 3 "Citerad text"
.P 0
All text mellan citattecken skrivs ut som den r med normal text,
ven mellanslag.
.H 3 "Horisontell justering"
.P 0
Genom att skriva \fBmark\fP markeras den horisontella positionen.
Kommandot \fBlineup\fP justerar sedan alla efterfljande ekvationer
med \fBlineup\fP till den markerade positionen. 
P s vis kan man t.ex. f alla \f(CB=\fP tecken rakt under varandra.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
x + y sup 2 mark = w
\&.EN
\&.EQ
r lineup = 3
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
x + y sup 2 mark = w
.EN
.EQ
r lineup = 3
.EN
.DE
.demo-end
.H 3 "Klammer, hakparenteser, vanliga parenteser och streck."
.P 0
Med kommandona \fBleft\fP och \fBright\fP kan man f strre
\f(CB[]\fP, \f(CB()\fP , \f(CB{}\fP och \f(CB||\fP.
De ritas tillrckligt stora fr att tcka
sina argument. Man kan ven anvnda andra tecken, men det r
endast \fBfloor\fP och \fBceiling\fP som ser bra ut.
Observera att om man bara vill ha den ena symbolen s 
mste man ange \fBnothing\fP istllet fr symbolen.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
"Floor:  " floor ~~~~ "Ceiling:  " ceiling ~~~~
left { sigma over lambda right } + left [ a + 1 right ] 
+ left ( x - 1 right ) "    " left floor 1 over x right floor <=
left ceiling 3 over { 1 + x } right nothing
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
"Floor:  " floor ~~~~ "Ceiling:  " ceiling ~~~~
left { sigma over lambda right } + left [ a + 1 right ] 
+ left ( x - 1 right ) "    " left floor 1 over x right floor <=
left ceiling 3 over { 1 + x } right nothing
.EN
.DE
.demo-end
.H 3 "Matriser"
.P 0
Kommandot \fBmatrix\fP ger en matris. De olika kolumnerna skiljs t
med \fBlcol\fP, \fBccol\fP och \fBrcol\fP.
.VL 2c
.BLI lcol
vnsterjusterad kolumn
.BLI ccol
centrerad kolumn
.BLI rcol
hgerjusterad kolumn
.LE
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
matrix { ccol { a+1 above b+1 } ccol { 2-c above 2-d } } ~~~~~~
left [ matrix { ccol { a+1 above b } 
ccol { 2-c above 2-d } } right ] 
~~~~~~
left [ matrix { lcol { e+2 above f } 
rcol { g-1 above h } } right ]
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
matrix { ccol { a+1 above b+1 } ccol { 2-c above 2-d } } ~~~~~~
left [ matrix { ccol { a+1 above b } ccol { 2-c above 2-d } } right ]
~~~~~~
left [ matrix { lcol { e+2 above f } rcol { g-1 above h } } right ]
.EN
.DE
.demo-end
.H 3 "Stapling"
.P 0
Kommandot \fBpile\fP ger mjlighet att stapla vad som helst.
Det finns ven tre undervarianter: \fBlpile\fP, 
\fBcpile\fP och \fBrpile\fP. Dessa ger vnster, mitt och hgerjustering
av innehllet i hgen. Innehllet i hgen skiljs med \fBabove\fP.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
pile { a above b above c } pile { d above e above f }
~~ pile { g above h above i }
~~~~~
left [ pile { 2-x above z above y } ~~ 
pile { d above e-1 above f } right ]
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
pile { a above b above c } pile { d above e above f }
~~ pile { g above h-2 above i } ~~~~~
left [ lpile { 2-x above z above y } ~~ rpile { d above e-1 above f } right ]
.EN
.DE
.demo-end
.H 3 "Egna definitioner"
.P 0
Man kan definiera egna symboler med \fBdefine\fP.
Det gr ven att definera om symboler.
.demo-ruta
define xz 'a + 1'
define tty 'xz over 4'
.demo-end
.H 3 "Storlek och stil ndring"
.P 0
Storlek p uttryck kan ndras med \fBsize\fP\ \fIarg\fP.
\fBroman\fP, \fBitalic\fP, \fBbold\fP och \fBfat\fP ger normal, kursiv
eller fetstil. Skillnaden mellan \fBbold\fP och \fBfat\fP r att \fBfat\fP
skrivs  tv gnger, men \fBbold\fP ger riktig fetstil.
.demo-ruta
.if \n[mm-man] \&.DS CB
\&.EQ
size 14 x + y + roman z = size 14 { beta - 2 }
x sup 2 + bold { x sup 2 } = r sup 2
\&.EN
.if \n[mm-man] \&.DE
.demo-gives
.DS CB
.EQ
size 14 x + y + roman z = size 14 { beta - 2 } ~~~
x sup 2 + bold { x sup 2 } = r sup 2
.EN
.DE
.demo-end
.H 3 "Frflyttningar"
.P 0
\fBback\fP, \fBfwd\fP, \fBup\fP och \fBdown\fP mjliggr frflyttning
av ekvationerna. Argumentet anges i hundradelar av ett tecken.
Dvs \fBback\fP\ \fI50\fP flyttar ett halvt tecken bakt.
Liksom \fBsize\fP pverkas endast nsta element, men
man kan som vanligt gruppera med hakparenteser.
.H 3 "Prioritetsordning"
.P 0
Fljande tabell kan anvndas fr att bestmma prioriteter
nr man inte anvnder hakparenteser.
Hgst prioritet lngst upp.
Kommandona har sitt argument efter sig.
.TS
center tab(;) box;
l l l l l l l l l.
;\(->;;;;;;;
\(da;dyad;vec;under;bar;tilde;hat;dot;dotdot
;fwd;back;down;up
;fat;roman;italic;bold;size
;sub;sup;sqrt;over
;from;to
.TE
.H 3 "Speciella tecken"
.P 0
.\" $$$
I appendix XX finns en lista ver alla tillgngliga tecken.
Anvnd kolumnen som heter \fIInput\ name\fP.
.demo-var
.demo-nr Eq 0
.demo-vlist 0
Skriv argumentet till \fB.EQ\fP hger om ekvationen.
.demo-vlist 1
Skriv argumentet till \fB.EQ\fP vnster om ekvationen.
.demo-var-end
